package com.example.smartlab

import android.content.Intent
import android.os.Bundle
import android.os.CountDownTimer
import android.text.Editable
import android.text.TextWatcher
import android.view.LayoutInflater
import android.view.Window
import android.view.WindowManager
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.example.smartlab.databinding.CodecheckPanelBinding
import com.example.smartlab.databinding.WelcomeWindowBinding
import java.util.*



class CodeCheckActivity : AppCompatActivity() {
lateinit var binding: CodecheckPanelBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val intent = Intent(this, LoadingActivity::class.java)

        window.requestFeature(Window.FEATURE_NO_TITLE)
        window.setFlags(
            WindowManager.LayoutParams.FLAG_FULLSCREEN,
            WindowManager.LayoutParams.FLAG_FULLSCREEN
        )
        binding = CodecheckPanelBinding.inflate(layoutInflater)
        setContentView(binding.root)
        binding.EditText1.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable?) {
            }
            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {

            }
            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                if(binding.EditText1.text.toString().length == 1){
                    binding.EditText2.requestFocus()
                }
            }
        })
        binding.EditText2.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable?) {
            }
            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {

            }
            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                if(binding.EditText2.text.toString().length == 1){
                    binding.EditText3.requestFocus()
                }
            }
        })
        binding.EditText3.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable?) {
            }
            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {

            }
            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                if(binding.EditText3.text.toString().length == 1){
                    binding.EditText4.requestFocus()
                }
            }
        })
        val timer = object : CountDownTimer(60000, 1000) {
            override fun onTick(millisUntilFinished: Long) {
                binding.Timer.setText("Отправить код повторно можно\nбудет через " + millisUntilFinished / 1000 + " секунд");
            }

            override fun onFinish() {
                binding.Timer.setText("Отправить код повторно");
                startActivity(intent)
            }
        }
        timer.start()
        }
    }

